<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */

/**
* Plugin Name: Automatically publish highlights of any website, directly to your Blog
* Plugin URI: http://roohit.com/site/urWidget.php
* Description: Highlight as you surf => Directly posts your selection to your web-page/blog. <strong>Very Cool</strong>. Look/feel customizable. 
* Author: The Roohit Team
* Version: 1.0.3.86
* Author URI: http://roohit.com
**/

/* 
* +--------------------------------------------------------------------------+
* | Copyright (c) 2006 RoohIt                   (email : support@roohit.com) |
* +--------------------------------------------------------------------------+
* | This program is free software; you can redistribute it and/or modify     |
* | it under the terms of the GNU General Public License as published by     |
* | the Free Software Foundation; either version 2 of the License, or        |
* | (at your option) any later version.                                      |
* |                                                                          |
* | This program is distributed in the hope that it will be useful,          |
* | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
* | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
* | GNU General Public License for more details.                             |
* |                                                                          |
* | You should have received a copy of the GNU General Public License        |
* | along with this program; if not, write to the Free Software              |
* | Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA |
* +--------------------------------------------------------------------------+
*/

if (!defined('MyHighlights_INIT')) 
	define('MyHighlights_INIT', 1);
else 
	return;

$myhighlightspluginpath = WP_CONTENT_URL.'/plugins/'.plugin_basename(dirname(__FILE__)).'/';

$myhighlights_settings = array(	
							array('enctickerid', '')
							, array('tickerwidth', '')
							, array('tickerheight', '')
							, array('language', 'en')
						);

$myhighlights_languages = array('zh'=>'Chinese', 'da'=>'Danish', 'nl'=>'Dutch', 'en'=>'English', 'fi'=>'Finnish', 'fr'=>'French', 'de'=>'German', 'he'=>'Hebrew', 'it'=>'Italian', 'ja'=>'Japanese', 'ko'=>'Korean', 'no'=>'Norwegian', 'pl'=>'Polish', 'pt'=>'Portugese', 'ru'=>'Russian', 'es'=>'Spanish', 'sv'=>'Swedish');

function myHighlights_widget() {
	$enctickerid = get_option('myhighlights_enctickerid');

	$tickerwidth = get_option('myhighlights_tickerwidth');
	if ($tickerwidth == '') $tickerwidth = 210 ; 
	//echo 'tickerwidth=', $tickerwidth, '.' ;

	$tickerheight = get_option('myhighlights_tickerheight');
	if ($tickerheight == '') $tickerheight = 300 ; 
	//echo 'tickerheight=', $tickerheight, '.' ;

	echo '
		<!-- RoohIt Widget BEGIN -->
		<object type="application/x-shockwave-flash" 
			allowNetworking="all" 
			data="http://roohit.com/site/s_widget.swf?kR7s7Gj8uTzx07='.$enctickerid.'" 
			width="'.$tickerwidth.'"
			height="'.$tickerheight.'" 
			wmode="transparent"
		>
			<param name="wmode" value="transparent" />
			<param name="movie" value="http://roohit.com/site/s_widget.swf?kR7s7Gj8uTzx07='.$enctickerid.'" />
			<param name="FlashVars" value="gig_lt=1249027062106&gig_pt=1249027065440&gig_g=1" />
		</object>
		<!-- RoohIt Widget END -->
		' ;
}

function init_myHighlights(){
	global $myhighlights_settings ;

	add_action("plugins_loaded", "init_myHighlights");
	register_sidebar_widget("My Highlights", "myHighlights_widget");

    add_filter('admin_menu', 'myHighlights_admin_menu');

    add_option('myhighlights_enctickerid');
    add_option('myhighlights_tickerwidth');
    add_option('myhighlights_tickerheight');
}

function myHighlights_admin_menu()
{
    add_options_page('My Highlights Options', 'My Highlights', 8, __FILE__, 'myhighlights_plugin_options_php4');
}

////////////////////// Begin /////////////
// Add settings link on plugin page
function myHighlights_settings_link($links) {
  $settings_link = '<A href="options-general.php?page=autopublish/autoPublish.php">Settings</A>';
  array_unshift($links, $settings_link);
  return $links;
}

$plugin = plugin_basename(__FILE__);
add_filter("plugin_action_links_$plugin", 'myHighlights_settings_link' );
///////////// End //////////////

function myHighlights_plugin_options_php4() {
    global $myhighlights_enctickerid;
    global $myhighlights_tickerwidth;
    global $myhighlights_tickerheight;

?>
    <div class="wrap">
    <h2>RoohIt: My Highlights</h2>

    <form method="post" action="options.php">
    <?php wp_nonce_field('update-options'); ?>

    <div align="center" id="message" class="updated fade"><p style="font-weight:bold;">Please tell us <a href="mailto:support@roohit.com?subject=WordPress: My Highlights plugin Feedback">what you think</a> of this plugin.</p></div>

	<?php require_once 'roohUtils.js' ; ?>
    <h3>My Highlights Ticker Options</h3>
    <table class="form-table">
        <tr valign="top">
            <td>
				<strong><?php _e("Enter your Ticker Id:", 'myhighlights_trans_domain' ); ?></strong>
				<?php $enctickerid = get_option('myhighlights_enctickerid'); ?>

                <input type="text" size="24" name="myhighlights_enctickerid" id="myhighlights_enctickerid" style='color:#999999;'" value="<?php echo $enctickerid; ?>" onClick="this.select(); this.style.color='#000000';" />
				<br /><a style="font-size:9px" onClick="HideFrame('frTickerId');toggleText(this)" >Your Ticker Id is shown below</a>
            </td>

            <td>
				<strong><?php _e("Width on Page:", 'myhighlights_trans_domain' ); ?></strong>
				<?php $tickerwidth = get_option('myhighlights_tickerwidth');
				if ($tickerwidth == '') $tickerwidth = 210 ;  ?>
                <input type="text" size="3" name="myhighlights_tickerwidth" id="myhighlights_tickerwidth" style='color:#999999;'" value="<?php echo $tickerwidth; ?>" onClick="this.select(); this.style.color='#000000';" />
				<br /><a style="font-size:9px" onClick="HideFrame('frTickerWdth');toggleText(this)" >Actual width of widget is</a>
            </td>

            <td>
				<strong><?php _e("Height on Page:", 'myhighlights_trans_domain' ); ?></strong>
				<?php $tickerheight = get_option('myhighlights_tickerheight');
				if ($tickerheight == '') $tickerheight = 300 ;  ?>
                <input type="text" size="4" name="myhighlights_tickerheight" id="myhighlights_tickerheight" style='color:#999999;'" value="<?php echo $tickerheight; ?>" onClick="this.select(); this.style.color='#000000';" />
				<br /><a style="font-size:9px" onClick="HideFrame('frTickerHt');toggleText(this)" >Actual height of widget is</a>
            </td>

        </tr>

        <tr>
        	<td>
            	<iframe id="frTickerId" src="http://roohit.com/site/wp_showEnc4Ticker.php" frameborder="0" style="display:inline;" scrolling=no height=68 width=250></iframe>
            </td>
        	<td>
            	<iframe id="frTickerWdth" src="http://roohit.com/site/wp_showTckrWdth.php" frameborder="0" style="display:inline;" scrolling=no height=68 width=150></iframe>
            </td>

        	<td>
            	<iframe id="frTickerHt" src="http://roohit.com/site/wp_showTckrHt.php" frameborder="0" style="display:inline;" scrolling=no height=68 width=150></iframe>
            </td>
        </tr>
    </table>
    
    <br /><span>If any value is blank: <em>first</em> <strong>Login</strong>, then <strong>Personalize</strong> (change the size, colors, font etc.) & <strong>Publish</strong> <a href='http://roohit.com/site/s_lite.php'>directly from here</a>.<br/></span>

    <input type="hidden" name="action" value="update" />
    <input type="hidden" name="page_options" value="myhighlights_enctickerid, myhighlights_tickerwidth, myhighlights_tickerheight"/>

    <p class="submit">
    <input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
    </p>
    </form>

    <h2>Like the plugin?</h2>
    <p>Why not do any of the following:</p>
    <ul>
        <li>&nbsp;&nbsp;&nbsp;&nbsp;&bull; Write a blog posting <a href="http://roohit.com/site/blogThis.php">about it</a>, and link to it so other folks can find out about it.</li>
        <li>&nbsp;&nbsp;&nbsp;&nbsp;&bull; <a href="http://wordpress.org/extend/plugins/autopublish/">Give it a good rating</a> on WordPress.org, so others will find it easily!</li>
        <li>&nbsp;&nbsp;&nbsp;&nbsp;&bull; <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=7137089">Donate a token of your appreciation</a>.</li>
    </ul>

    <h2>Need support?</h2>
    <p>If you have any problems or good ideas, please talk about them in the <a href="http://wordpress.org/tags/autopublish">Support forums</a>.</p>
    
    <h2>About</h2>
    <p><em>Rooh</em> means <em>soul</em>. When you Rooh It you get to the soul of the page. </p>
    <p>The no-signup, no-download, highlighter was conceived and created by Rohit Chandra and has been maintained by <a href="http://roohit.com/">RoohIt</a> since the very beginning.</p>

    </div>
      <?php
}


init_myHighlights() ;
?>
